# PSF-LoginServer - master - net.psforever.services.hart.HartTimer.Command
PSF - LoginServer - master - net.psforever.services.hart.HartTimer.Command
Keywords: PSF LoginServer master net.psforever.services.hart.HartTimer.Command

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
-  object HartTimer
  Definition Classes
    hart
- Command
- LockDoors
- MessageToHartInZone
- OrbitalShuttleEvent
- PairWith
- SetEventDurations
- ShuttleDocked
- ShuttleFreeFromDock
- ShuttleStateUpdate
- UnlockDoors
- Update

t

net.psforever.services.hart.HartTimer

# Command

###

#### trait Command extends GenericEventBusMsg

Design for the envelop for the message bus to relay instructions back to the individual facility amenity portions of this HART system. The channel is blank because it does not need special designation.

Source
  HartTimer.scala

Linear Supertypes
GenericEventBusMsg, AnyRef, Any
Known Subclasses
LockDoors, ShuttleDocked, ShuttleFreeFromDock, ShuttleStateUpdate, UnlockDoors

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Command
2. GenericEventBusMsg
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def channel: String
   Definition Classes
     Command → GenericEventBusMsg
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from GenericEventBusMsg

### Inherited from AnyRef

### Inherited from Any

### Ungrouped